import { j as g } from "../../node_modules/react/jsx-runtime.mjs";
import { useState as u, useEffect as k } from "react";
import b from "../../assets/iconfont/index.mjs";
import "./index.less.mjs";
const S = ({ iconType: o = "", iconSize: l = 20 }) => {
  const [p, e] = u(), [C, a] = u(""), s = "#5d73fa", n = "#ff605b", i = "#6198ff", c = "#ac65ff", t = "#ffb100", r = "#29BF7F";
  return k(() => {
    switch (o) {
      case "Pages.Tenant.Dashboard":
        e(s), a("a-BusinessCasesMyCases");
        break;
      case "Pages.Works":
        e(n), a("richeng1");
        break;
      case "Pages.Business":
        e(i), a("yewuguanli");
        break;
      case "Pages.Customers":
        e(c), a("kehuguanxi");
        break;
      case "Pages.Documents":
        e(t), a("a-DocumentsDocumentCenter");
        break;
      case "Pages.Financial":
        e(r), a("caiwuguanli");
        break;
      case "Pages.Executive":
        e(s), a("yonghuguanli-hangzhengguanli");
        break;
      case "Pages.HumanResource":
        e(n), a("renliziyuanhoutai");
        break;
      case "Pages.AnalyzeStatistics":
        e(i), a("tongjifenxi");
        break;
      case "Pages.CommonTools":
        e(c), a("changyonggongju2");
        break;
      case "Pages.Administration":
        e(t), a("xitongguanli");
        break;
      case "Pages.Business.Cases.MyCases":
        e(s), a("a-BusinessCasesMyCases");
        break;
      case "Pages.Business.Cases.Manage":
        e(n), a("a-BusinessCasesManage");
        break;
      case "Pages.Business.CaseApplications.CheckCustomers":
        e(i), a("a-BusinessCaseApplicationsCheckCustomers");
        break;
      case "Pages.Business.CaseApplications.MyApplyCases":
        e(c), a("a-BusinessCaseApplicationsMyApplyCases");
        break;
      case "Pages.Business.CaseApplications.Apply":
        e(t), a("a-BusinessCaseApplicationsApply");
        break;
      case "Pages.Business.CaseClose.Approve":
        e(r), a("a-BusinessCaseCloseApprove");
        break;
      case "Pages.Business.CaseApplications.Approve":
        e(s), a("a-BusinessCaseApplicationsApprove");
        break;
      case "Pages.Business.StampFiles.ApplyFileList":
        e(n), a("a-BusinessStampFilesApplyFileList");
        break;
      case "Pages.Business.StampFiles.Approve":
        e(i), a("a-BusinessStampFilesApprove");
        break;
      case "Pages.Business.StampFiles.Manage":
        e(c), a("a-BusinessStampFilesManage");
        break;
      case "Pages.Business.CaseClose.Apply":
        e(t), a("a-BusinessCaseInfoChangeMyList");
        break;
      case "Pages.Business.CaseInfoChange.MyList":
        e(r), a("a-BusinessCaseInfoChangeMyList");
        break;
      case "Pages.Business.CaseInfoChange.Audits":
        e(s), a("wodezhangdan");
        break;
      case "Pages.Business.CaseInfoChange.Manage":
        e(n), a("a-BusinessCaseInfoChangeAudits");
        break;
      case "Pages.Business.StampFiles.StampFileManage":
        e(i), a("a-BusinessStampFilesStampFileManage");
        break;
      case "Pages.Business.CaseClose.ApplyList":
        e(c), a("a-BusinessCaseCloseApplyList");
        break;
      case "Pages.Business.CaseClose.ArchiveManage":
        e(t), a("a-BusinessCaseCloseArchiveManage");
        break;
      case "Pages.Business.CaseClose.Deposits":
        e(r), a("a-BusinessCaseCloseDeposits");
        break;
      case "Pages.Works.Meeting.ConferenceBooking":
        e(s), a("a-WorksMeetingConferenceBooking");
        break;
      case "Pages.Works.Meeting.MyMeeting":
        e(n), a("meeting-management-my-meeting");
        break;
      case "Pages.Works.Meeting.ManageMeetingRoom":
        e(i), a("a-WorksMeetingMyMeeting");
        break;
      case "Pages.Works.Task.Project":
        e(c), a("a-WorksTaskProject");
        break;
      case "Pages.Works.Log.Create":
        e(t), a("a-WorksLogCreate");
        break;
      case "Pages.Works.Log.CaseWorklog":
        e(r), a("a-WorksLogCaseWorklog");
        break;
      case "Pages.Works.Log.Manage":
        e(s), a("a-WorksLogManage");
        break;
      case "Pages.Works.Log.MyWorklog":
        e(n), a("a-WorksLogMyWorklog");
        break;
      case "Pages.Works.LogApproval":
        e(i), a("a-WorksLogApproval");
        break;
      case "Pages.Works.Schedule.MySchedule":
        e(c), a("a-WorksScheduleMySchedule");
        break;
      case "Pages.Customers.MyCustomers.Create":
        e(t), a("a-CustomersMyCustomersCreate");
        break;
      case "Pages.Customers.MyCustomers.Manage":
        e(r), a("a-CustomersMyCustomersManage");
        break;
      case "Pages.Customers.Manage":
        e(s), a("a-CustomersManage");
        break;
      case "Pages.Customers.CustomerClue.MyClue":
        e(n), a("a-CustomersCustomerClueMyClue");
        break;
      case "Pages.Customers.CustomerClue.Audit":
        e(i), a("a-CustomersCustomerClueAudit");
        break;
      case "Pages.Customers.CustomerClue.Manage":
        e(c), a("a-CustomersCustomerClueManage");
        break;
      case "Pages.Customers.MyCustomers.Contacts":
        e(s), a("tongxunlu");
        break;
      case "Pages.Customers.MyCustomers.Visit":
        e(r), a("a-CustomersMyCustomersContacts");
        break;
      case "courtPersons":
        break;
      case "Pages.Customers.CustomerStorage.MyStorage":
        e(s), a("a-CustomersCustomerStorageMyStorage");
        break;
      case "Pages.Customers.CustomerStorage.Audit":
        e(n), a("a-CustomersCustomerStorageAudit");
        break;
      case "Pages.Customers.CustomerStorage.Manage":
        e(i), a("a-CustomersCustomerStorageManage");
        break;
      case "Pages.Customers.CustomerStorage.Apply":
        e(c), a("a-CustomersCustomerStorageApply");
        break;
      case "Pages.Customers.CourtPersons.MyCourtPersons":
        e(t), a("a-moren");
        break;
      case "Pages.Customers.CourtPersons.Manage":
        e(r), a("a-moren");
        break;
      case "Pages.Documents.DocumentCenter":
        e(s), a("a-DocumentsDocumentCenter");
        break;
      case "Pages.Financial.Billings.Create":
        e(n), a("a-FinancialBillingsCreate");
        break;
      case "Pages.Financial.Receipts.Create":
        e(i), a("a-FinancialReceiptsCreate");
        break;
      case "Pages.Financial.Contracts.MyContracts":
        e(c), a("a-FinancialContractsMyContracts");
        break;
      case "Pages.Financial.Contracts.Manage":
        e(t), a("a-FinancialContractsManage");
        break;
      case "Pages.Financial.Billings.MyBillings":
        e(r), a("a-FinancialBillingsMyBillings");
        break;
      case "Pages.Financial.Billings.UploadTemplate":
        e(i), a("a-FinancialBillingsUploadTemplate");
        break;
      case "Pages.Financial.Billings.Manage":
        e(s), a("zhangdanguanli");
        break;
      case "Pages.Financial.Billings.AuditBillings":
        e(n), a("a-FinancialBillingsManage");
        break;
      case "Pages.Financial.Invoices.MyInvoices":
        e(i), a("a-FinancialInvoicesMyInvoices");
        break;
      case "Pages.Financial.Invoices.Apply":
        e(r), a("a-FinancialInvoicesApply");
        break;
      case "Pages.Financial.Invoices.AuditInvoices":
        e(c), a("a-FinancialInvoicesAuditInvoices");
        break;
      case "Pages.Financial.Invoices.Manage":
        e(t), a("a-FinancialInvoicesManage");
        break;
      case "Pages.Financial.ElectronicInvoices.MyElectronicInvoices":
        e(r), a("a-FinancialElectronicInvoicesMyElectronicInvoices");
        break;
      case "Pages.Financial.ElectronicInvoices.Manage":
        e(s), a("a-FinancialElectronicInvoicesManage");
        break;
      case "Pages.Financial.Receipts.MyReceipts":
        e(n), a("a-FinancialReceiptsMyReceipts");
        break;
      case "Pages.Financial.Receipts.UnClaimedReceipts":
        e(i), a("a-FinancialReceiptsUnClaimedReceipts");
        break;
      case "Pages.Financial.Receipts.ReceiptList":
        e(c), a("a-FinancialReceiptsReceiptList");
        break;
      case "Pages.Financial.Receipts.AuditReceipts":
        e(t), a("a-FinancialReceiptsAuditReceipts");
        break;
      case "Pages.Financial.Receipts.Manage":
        e(r), a("a-FinancialReceiptsManage");
        break;
      case "Pages.Financial.Charge.MyCharges":
        e(s), a("a-FinancialChargeMyCharges");
        break;
      case "Pages.Financial.Charge.AuditCharges":
        e(n), a("a-FinancialChargeAuditCharges");
        break;
      case "Pages.Financial.Charge.Manage":
        e(i), a("a-FinancialChargeManage");
        break;
      case "Pages.Financial.Charge.Create":
        e(c), a("a-FinancialChargeCreate");
        break;
      case "Pages.Financial.Allocations.MyAllocations":
        e(s), a("a-FinancialAllocationsMyAllocations");
        break;
      case "Pages.Financial.Allocations.MyIncomes":
        e(c), a("a-FinancialAllocationsMyIncomes");
        break;
      case "Pages.Financial.Allocations.Manage":
        e(r), a("a-FinancialAllocationsManage");
        break;
      case "Pages.Financial.Ledgers.MyLedger":
        e(s), a("a-FinancialLedgersMyLedger");
        break;
      case "Pages.Financial.Ledgers.Manage":
        e(n), a("a-FinancialLedgersManage");
        break;
      case "Pages.Financial.Ledgers.Costs":
        e(i), a("a-FinancialLedgersCosts");
        break;
      case "Pages.Financial.Costs.Expenditures.MyExpenditures":
        e(c), a("a-FinancialCostsExpendituresMyExpenditures");
        break;
      case "Pages.Financial.Costs.Expenditures.Manage":
        e(t), a("a-FinancialCostsExpendituresManage");
        break;
      case "Pages.Executive.Intranet.Info":
        e(r), a("a-ExecutiveIntranetInfo");
        break;
      case "Pages.Executive.Stamp.Manage":
        e(s), a("a-ExecutiveStampManage");
        break;
      case "Pages.Executive.Stamp.Approve":
        e(n), a("a-ExecutiveStampApprove");
        break;
      case "Pages.Executive.SocialSecurity.Manage":
        e(i), a("a-ExecutiveSocialSecurityManage");
        break;
      case "Pages.Executive.Stamp.ApplyList":
        e(c), a("a-ExecutiveStampApplyList");
        break;
      case "Pages.Executive.Stamp.Apply":
        e(t), a("a-ExecutiveStampApply");
        break;
      case "Pages.Executive.OfficeSupplies.Create":
        e(r), a("a-ExecutiveOfficeSuppliesCreate");
        break;
      case "Pages.Executive.OfficeSupplies.MyOfficeSupplies":
        e(s), a("a-ExecutiveOfficeSuppliesMyOfficeSupplies");
        break;
      case "Pages.Executive.OfficeSupplies.AuditOfficeSupplies":
        e(n), a("a-ExecutiveOfficeSuppliesAuditOfficeSupplies");
        break;
      case "Pages.Executive.OfficeSupplies.Manage":
        e(i), a("a-ExecutiveOfficeSuppliesManage");
        break;
      case "Pages.Executive.OfficeSupplies.Apply":
        e(c), a("a-ExecutiveOfficeSuppliesApply");
        break;
      case "Pages.Executive.OfficeSupplies.MyRequisition":
        e(t), a("a-ExecutiveOfficeSuppliesMyRequisition");
        break;
      case "Pages.Executive.OfficeSupplies.RequisitionAudits":
        e(r), a("a-ExecutiveOfficeSuppliesRequisitionAudits");
        break;
      case "Pages.Executive.OfficeSupplies.RequisitionManage":
        e(s), a("a-ExecutiveOfficeSuppliesRequisitionManage");
        break;
      case "Pages.Executive.OfficeSupplies.Stock":
        e(n), a("a-ExecutiveOfficeSuppliesStock");
        break;
      case "Pages.Executive.Express.MyExpress":
        e(i), a("a-ExecutiveExpressMyExpress");
        break;
      case "Pages.Executive.Express.ExpressManage":
        e(c), a("a-ExecutiveExpressExpressManage");
        break;
      case "Pages.Executive.SocialSecurity.MySocialSecurity":
        e(t), a("a-ExecutiveSocialSecurityMySocialSecurity");
        break;
      case "Pages.Executive.SocialSecurity.Apply":
        e(r), a("a-ExecutiveSocialSecurityApply");
        break;
      case "Pages.Executive.SocialSecurity.AuditSocialSecurity":
        e(s), a("a-ExecutiveSocialSecurityAuditSocialSecurity");
        break;
      case "Pages.HumanResource.Attendance.MyApplyList":
        e(n), a("a-HumanResourceAttendanceMyApplyList");
        break;
      case "Pages.HumanResource.Attendance.Approve":
        e(i), a("a-HumanResourceAttendanceApprove");
        break;
      case "Pages.HumanResource.Attendance.Manage":
        e(c), a("a-HumanResourceAttendanceManage");
        break;
      case "workAttendance":
        e(t), a("a-CommonToolsContacts");
        break;
      case "Pages.CommonTools.Contacts":
        e(s), a("a-CommonToolsContacts");
        break;
      case "fatianshi":
        e(s), a("falv");
        break;
      case "qixin":
        e(n), a("qiyechaxun");
        break;
      case "lawNavigation":
        e(i), a("daohang");
        break;
      case "beidafabao":
        e(c), a("jingyingbaodian");
        break;
      case "weike":
        e(t), a("zhishiwenku");
        break;
      case "jishiqi":
        e(r), a("jishiqi1");
        break;
      case "jisuanqi":
        e(t), a("jisuanqi");
        break;
      case "approvalCenter":
        e(s), a("xinzengrenwu");
        break;
      case "StartCase":
        e(t), a("weituodanguanli");
        break;
      case "EndCase":
        e(n), a("zhongzhihetong");
        break;
      default:
        e(i), a("bangongyongpindizhiyihaolingyongliucheng");
    }
  }, [o]), g.jsx("div", { className: "bitzIconBlock", children: g.jsx(b, { color: p, size: l, name: C }) });
};
export {
  S as default
};
